curl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/add_ons/{id}/fuel_surcharge_rate \
--header 'Authorization: Bearer <token>'{
"data": {
"surcharge": "<string>",
"surcharge_percentage": "<string>"
}
}Retrieve fuel surcharge rate for a FuelSurcharge type AddOn for a given date. The AddOn must have add_on_rate_type of FuelSurcharge and have an associated fuel_surcharge_schedule.
curl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/add_ons/{id}/fuel_surcharge_rate \
--header 'Authorization: Bearer <token>'{
"data": {
"surcharge": "<string>",
"surcharge_percentage": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
Date to fetch the fuel surcharge rate for. Defaults to current date if not provided.
OK
Show child attributes